=== modified file 'NEWS'
--- NEWS	2008-06-06 18:04:45 +0000
+++ NEWS	2008-06-29 18:32:05 +0000
@@ -10,6 +10,8 @@
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
+  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025, #244027)
+
  INTERNALS
 
   * All i18n calls should now go through _i18n which must be imported from

=== modified file 'olive/add.py'
--- olive/add.py	2008-05-05 18:16:46 +0000
+++ olive/add.py	2008-06-29 18:32:05 +0000
@@ -69,20 +69,16 @@
                              _i18n('Please select a file from the list,\nor choose the other option.'))
                 return
             
-            fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
-            
             try:
-                bzrlib.add.smart_add([fullpath])
+                self.wt.add([filename])
             except errors.NotBranchError:
                 error_dialog(_i18n('Directory is not a branch'),
                              _i18n('You can perform this action only in a branch.'))
                 return
         elif radio_unknown.get_active():
             # Add unknown files recursively
-            fullpath = self.wt.abspath(self.wtpath)
-            
             try:
-                bzrlib.add.smart_add([fullpath], True)
+                self.wt.add(self.wt.unknowns())
             except errors.NotBranchError:
                 error_dialog(_i18n('Directory is not a branch'),
                              _i18n('You can perform this action only in a branch.'))

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:18:08 +0000
+++ olive/menu.py	2008-06-29 18:31:29 +0000
@@ -179,7 +179,8 @@
                          _i18n('Please select a file from the list,\nor choose the other option.'))
             return
         
-        bzrlib.add.smart_add([os.path.join(directory, filename)])
+        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
+        wt.add([path])
     
     @show_bzr_error
     def annotate(self, action):

=== modified file 'revisionview.py'
--- revisionview.py	2008-06-29 19:07:23 +0000
+++ revisionview.py	2008-06-24 10:34:38 +0000
@@ -220,7 +220,7 @@
                                         "This revision has not been signed.")
 
     def show_signature(self, crypttext):
-        (cleartext, key) = seahorse.verify(crypttext)
+        key = seahorse.verify(crypttext)
 
         if key and key.is_available():
             if key.is_trusted():
@@ -322,8 +322,8 @@
         self._create_general()
         self._create_relations()
         # Disabled because testaments aren't verified yet:
-        if has_seahorse:
-            self._create_signature()
+        # if has_seahorse:
+        #    self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 

=== modified file 'seahorse.py'
--- seahorse.py	2008-06-29 19:07:23 +0000
+++ seahorse.py	2008-06-20 03:33:17 +0000
@@ -85,10 +85,7 @@
         if key not in keyset:
             keyset[key] = Key(key)
 
-        return (cleartext, keyset[key])
-
-    return (cleartext, None)
-
+        return keyset[key]
 
 class Key:
 

